#Module-Specific definitions
%define mod_version 1.1
%define release 1mdk
%define mod_name mod_kitchensink
%define mod_conf 90_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.44-6mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_KitchenSink is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	%{sourcename}.tar.bz2
License:	GPL
URL:		http://www.advx.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Mod_KitchenSink was inspired by a discussion around Mozilla bug #122411.
To make a story short, if people ever say "ADVX.org is too bloated with 
useless features, it has everything but the kitchen sink", they just have
been proved wrong.

With this module, ADVX *has* a kitchen sink. Just install this package, and
point your browser to http://localhost/kitchensink.

%prep
%setup -q -n %{sourcename}

%build

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{mod_conf}.bz2 %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%doc README.html AUTHORS COPYING

%changelog
* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.1-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.1-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Wed Apr 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.1-2mdk
- provide src rpm too..., sorry J-M

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.1-1mdk
- cosmetic rebuild for apache v2.0.45

* Sun Mar  2 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_1.1-1mdk
- new version, provide example of the module in documentation so we know
  instantly if it works 

* Sun Feb 23 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_1.0-1mdk
- initial cooker contrib
